<template>
	<view>
		<u-popup :show="show" :mode='mode' :closeOnClickOverlay='false' >
			
			<view  :style="{paddingTop: mode == 'top' ?  topHight + 'px' : ''}">

				<slot name="list"></slot>
				<slot name="operate"></slot>


			</view>
		</u-popup>
	</view>
</template>

<script>
	export default {
		props: {
			mode: {
				type: String,
				default: ''
			}
		},
		data() {
			return {
				show: true,
				topHight: 20 || 20
			}
		},
		created() {
			let app = uni.getSystemInfoSync()
			 this.topHight = app.statusBarHeight || 20
		},
		methods: {
		
		}
	}
</script>

<style>

</style>